# $Revision: 1.42 $, $Date: 2010/07/18 10:44:41 $
%define		qtver		4.6.2

Summary:	Multimedia API for Qt4/KDE4
Summary(pl.UTF-8):	Biblioteka Phonon
Name:		phonon
Version:	4.4.2
Release:	2
License:	LGPL v2.1
Group:		X11/Libraries
Source0:	ftp://ftp.kde.org/pub/kde/stable/phonon/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	d9eab28383783261254f1cef3b92a3fa
Patch0:		%{name}-pkg.patch
URL:		http://phonon.kde.org/
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtDBus-devel >= %{qtver}
BuildRequires:	QtNetwork-devel >= %{qtver}
BuildRequires:	QtOpenGL-devel >= %{qtver}
BuildRequires:	QtSql-devel >= %{qtver}
BuildRequires:	QtTest-devel >= %{qtver}
BuildRequires:	automoc4 >= 0.9.86
BuildRequires:	cmake >= 2.8.0
BuildRequires:	gstreamer-plugins-base-devel >= 0.10.0
BuildRequires:	pkgconfig
BuildRequires:	pulseaudio-devel >= 0.9.21
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.293
BuildRequires:	xine-lib-devel >= 2:1.1.15-4
Requires:	kde-common-dirs >= 0.5
Suggests:	qt4-phonon-backend
Provides:	qt4-phonon
Obsoletes:	qt4-phonon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Phonon is the multimedia API for Qt4/KDE4.

Phonon was created to allow KDE4 to be independent of any single
multimedia framework such as GStreamer or Xine and to provide a stable
API for KDE4's lifetime. It was done to fix problems of frameworks
becoming unmaintained, API instability, and to create a simple
multimedia API.

%description -l pl.UTF-8
Biblioteka phonon.

%package devel
Summary:	Header files for Phonon library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Phonon
Group:		X11/Development/Libraries
Requires:	%{name} == %{version}-%{release}
Requires:	QtCore-devel >= %{qtver}
Requires:	QtDBus-devel >= %{qtver}
Requires:	QtGui-devel >= %{qtver}
Provides:	qt4-phonon-devel
Obsoletes:	qt4-phonon-devel

%description devel
Header files for Phonon library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Phonon.

%package backend-xine
Summary:	Xine backend for Phonon
Summary(pl.UTF-8):	Wtyczki Xine dla Phonon
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xine-decode-ogg
Provides:	qt4-phonon-backend = %{version}
Obsoletes:	kde4-phonon-xine

%description backend-xine
Xine backend for Phonon.

%description backend-xine -l pl.UTF-8
Wtyczki Xine dla Phonon.

%package backend-gstreamer
Summary:	GStreamer backend for Phonon
Summary(pl.UTF-8):	Wtyczki GStreamera dla Phonon
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	qt4-phonon-backend = %{version}

%description backend-gstreamer
GStreamer backend for Phonon.

%description backend-gstreamer -l pl.UTF-8
Wtyczki GStreamera dla Phonon.

%prep
%setup -q
%patch0 -p1

%build
install -d build
cd build
%cmake \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_includedir}/qt4
ln -s ../phonon $RPM_BUILD_ROOT%{_includedir}/qt4/phonon
ln -s ../KDE/Phonon $RPM_BUILD_ROOT%{_includedir}/phonon/Phonon

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libphonon.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libphonon.so.?
%attr(755,root,root) %{_libdir}/libphononexperimental.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libphononexperimental.so.?
%dir %{_datadir}/kde4/services/phononbackends
%dir %{_libdir}/kde4/plugins/phonon_backend
%{_datadir}/dbus-1/interfaces/org.kde.Phonon.AudioOutput.xml

%files backend-xine
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/plugins/phonon_backend/phonon_xine.so
%{_datadir}/kde4/services/phononbackends/xine.desktop
%{_iconsdir}/oxygen/*/apps/phonon-xine.png

%files backend-gstreamer
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/plugins/phonon_backend/phonon_gstreamer.so
%{_datadir}/kde4/services/phononbackends/gstreamer.desktop

%files devel
%defattr(644,root,root,755)
%{_libdir}/libphonon.so
%{_libdir}/libphononexperimental.so
%{_includedir}/phonon
%dir %{_includedir}/KDE
%{_includedir}/KDE/Phonon
%{_includedir}/qt4/phonon
%{_pkgconfigdir}/phonon.pc

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: phonon.spec,v $
Revision 1.42  2010/07/18 10:44:41  shadzik
- kill .svgz icons
- rel 2

Revision 1.41  2010/06/12 23:23:40  arvenil
- up to 4.4.2

Revision 1.40  2010/05/20 14:21:56  shadzik
- 4.4.1

Revision 1.39  2010/05/19 19:35:51  shadzik
- this dir too

Revision 1.38  2010/05/19 19:33:10  shadzik
- don't own services
- rel 3

Revision 1.37  2010/05/16 15:27:39  shadzik
- %{_libdir}/kde4 shouldn't be owned by phonon
- bump up kde-common-dirs R
- rel 2

Revision 1.36  2010/05/03 13:32:37  shadzik
- 4.4.0

Revision 1.35  2010/04/09 18:28:37  shadzik
- xine backend R: xine-decode-ogg, otherwise we will fail to logout

Revision 1.34  2010/02/21 20:07:43  sparky
- BR: pulseaudio-devel (with version)

Revision 1.33  2010/02/21 19:36:00  shadzik
- merged changes from rev 1.31
- rel 2

Revision 1.32  2010/02/21 19:34:45  shadzik
- merged from DEVEL

Revision 1.29.2.3  2009/12/20 12:31:26  shadzik
- dir

Revision 1.29.2.2  2009/12/03 23:34:15  shadzik
- official URL for Source0

Revision 1.29.2.1  2009/12/03 20:35:51  shadzik
- 4.3.80 (official tarball)
- "This will install with the so version 4.4.0 and is ABI stable until the KDE 4.4.0 release." - Toma

Revision 1.29  2009/12/03 09:15:39  shadzik
- up to trunk snap 1057700

Revision 1.28  2009/11/28 01:39:40  sparky
- BR: pkgconfig

Revision 1.27  2009/11/13 17:15:19  glen
- include CMAKE_BUILD_TYPE

Revision 1.26  2009/11/13 17:14:59  glen
- also used by Qt4 since qt4.4

Revision 1.25  2009/10/06 22:20:44  cactus
- rel 7; pkgconfig patch back

Revision 1.24  2009/09/13 15:57:08  cactus
- rel 6; subpackage backend xine and gstreamer

Revision 1.23  2009/09/13 15:19:46  cactus
- small clean up in files

Revision 1.22  2009/09/13 12:07:02  cactus
- rel 5; remove patch and add symlink - qmake will find now phonon

Revision 1.21  2009/09/10 10:41:21  cactus
- rel 4; fix pkgconfig file

Revision 1.20  2009/07/15 15:23:58  shadzik
- lose %dir %{_libdir}/kde4

Revision 1.19  2009/06/20 15:14:40  hawk
- bumped qtver to fix broken deps

Revision 1.18  2009/06/09 14:44:34  glen
- english desc, fix charset corruption; rel 2

Revision 1.17  2009/03/12 08:08:02  arekm
- use official url

Revision 1.16  2009/02/27 13:04:11  shadzik
- 4.3.1

Revision 1.15  2009/01/25 20:01:52  shadzik
- R: kde-common-dirs >= 0.4
- rel 2

Revision 1.14  2009/01/22 12:48:29  shadzik
- 4.3.0
- merged from DEVEL

Revision 1.8.2.10  2009/01/22 11:47:45  shadzik
- 4.3.0

Revision 1.8.2.9  2009/01/09 11:06:13  shadzik
- 4.2.96

Revision 1.8.2.8  2008/11/26 20:01:48  paszczus
- updated xine-lib-devel BR

Revision 1.8.2.7  2008/11/26 17:56:44  shadzik
- 4.2.80

Revision 1.8.2.6  2008/08/24 15:29:49  paszczus
- added BR: xine-lib-devel >= 1.1.15-4

Revision 1.8.2.5  2008/08/23 14:10:29  shadzik
- O: kde4-phonon-xine

Revision 1.8.2.4  2008/08/23 13:57:13  shadzik
- bleeh, stupid idea with that -xine subpackage, i mean we don't make a subpackage for gstreamer neither so..

Revision 1.8.2.3  2008/08/23 13:45:02  shadzik
- snap 851285
- -xine subpackage

Revision 1.8.2.2  2008/08/18 19:09:27  shadzik
- changes from HEAD

Revision 1.8.2.1  2008/08/17 23:07:35  shadzik
- 4.2.1 svn rev 848504

Revision 1.8  2008/07/24 13:12:46  shadzik
- rel 1

Revision 1.7  2008/07/24 13:10:12  shadzik
- 4.2.0
- drop lib64.patch

Revision 1.6  2008/06/25 16:12:33  shadzik
- missing dirs
- rel 2

Revision 1.5  2008/06/25 12:04:58  shadzik
- kill R: kde4-kdelibs-devel
- add dir

Revision 1.4  2008/06/25 11:24:10  shadzik
- URL

Revision 1.3  2008/06/25 09:25:32  paszczus
- added missing BRs

Revision 1.2  2008/06/24 19:33:27  shadzik
- BR: automoc4 >= 0.9.83

Revision 1.1  2008/06/24 19:24:32  shadzik
- initial

